/* Visit */
.visit-page {
  display: grid;
  grid-template-columns: 1fr 2fr;
  grid-template-rows: 50px auto;
  gap: 20px;
  padding: 20px;
  max-width: 1200px;
  margin: auto;
}

.visit-page h1 {
  grid-column: 1/4;
  grid-row: 1;
  text-align: center;
  align-self: center;
}

/* Main image */
#museum-img {
  grid-row: 2;
  grid-column: 2/4;
  justify-self: center;
  width: 500px;
  height: auto;
}

/* Hours box */
#hours {
  grid-row: 2;
  grid-column: 1;
}

#hours div {
  border-color: var(--main-color2);
}

#hours .astronaut {
  margin-left: 15px;
  bottom: -50px;
}

/* Location box */
#location {
  grid-row: 3;
  grid-column: 1;
  text-align: start;
  font-weight: 300;
}

#location div {
  border-color: var(--main-color4); /* Mørkere lilla */
}

#location .astronaut {
  margin-right: 0px;
  bottom: -15px;
}

#location .info-box {
  flex-direction: column;
}

/* Accessibility box */
#accessibility {
  grid-row: 3;
  grid-column: 2/4;
  text-align: start;
}

#accessibility div {
  border-color: var(--main-color3); /* Lilla farge */
}

#accessibility .astronaut {
  margin-right: 10px;
  bottom: -90px;
}

.info-container {
  display: inline;
}

.info-container div,
.info-container section {
  gap: 20px;
  justify-content: center;
}

/* Astronaut */
.info-container .astronaut {
  height: 150px;
  width: auto;
  margin: auto;
  z-index: 5;
  position: relative;
  display: block;
}

.info-container .info-box {
  background-color: #f4f4f4;
  border: 25px solid #ccc;
  border-radius: 10px;
  padding: 20px;
  position: relative;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  display: flex;
}

.info-container .info-box article {
  min-width: 150px;
}

.info-container .info-box h3 {
  margin: 0px;
}

.info-container .info-box li {
  list-style: none;
}

.info-container .info-box ul {
  padding: 0px;
}

@media (max-width: 1200px) {
  .info-box {
    flex-direction: column;
  }
}
@media (max-width: 870px) {
  .visit-page {
    gap: 0;
    grid-template-columns: 1fr;
    grid-template-rows: 50px auto;
  }
  #museum-img {
    grid-column: 1;
    grid-row: 3;
    width: 100%;
  }
  #hours {
    grid-column: 1;
    grid-row: 2;
  }
  #location {
    grid-column: 1;
    grid-row: 4;
  }
  #accessibility {
    grid-column: 1;
    grid-row: 5;
  }
}
